import { WelcomeController } from "./WelcomeController";
import { RequestHandler } from "../models/RequestHandler";

/**
 * Controllers routes
 * 
 * @author Pierre Hubert
 */

export enum RouteType {
	POST, // Default
	GET
}

export interface Route {
	type ?: RouteType,
	path: string,
	cb: (req : RequestHandler) => void,
	
}

export const Routes : Route[] = [

	// Welcome controller
	{type: RouteType.GET, path: "/", cb: WelcomeController.HomeMessage}


]